Orkestra.gg
  1. Web methods
Orkestra.gg
  • Welcome to Orkestra Game Guard
  • How it works
  • Web methods
    • New Deposit
      POST
    • Registering User
      POST
    • Get Balance
      GET
    • Get Transaction Page Details
      GET
    • New Withdrawal
      POST
    • Settle Amount
      POST
    • Process Remittance
      POST
  • Webhooks
    • Untitled Endpoint
      GET
  1. Web methods

New Withdrawal

Sandbox Env
Sandbox Env
POST
/withdrawals

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Body Params application/json

Example
{
    "externalIdentifier": "{{$randomUUID}}",
    "amount": 20.00,
    "currency": "BRL",
    "paymentMethod": "PIX",
    "customer": {
        "documentNumber": "43278243803",
        "firstName": "Iago",
        "lastName": "Senefonte"
    },
    "bankAccount":{
        "key": "43278243803"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/withdrawals' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "externalIdentifier": "{{$randomUUID}}",
    "amount": 20.00,
    "currency": "BRL",
    "paymentMethod": "PIX",
    "customer": {
        "documentNumber": "43278243803",
        "firstName": "Iago",
        "lastName": "Senefonte"
    },
    "bankAccount":{
        "key": "43278243803"
    }
}'

Responses

🟢200Success
application/json
Body

Example
{
    "id": "669a9c231482bf548bb723f6",
    "externalIdentifier": "5a43294e-dc5c-491b-9518-3588ea1c9d19",
    "amount": 20,
    "currency": "BRL",
    "paymentMethod": "PIX",
    "message": null,
    "status": "PENDING",
    "customer": {
        "id": "b8d5eba9-94fa-47cb-bdcf-3b193cbfbdca",
        "documentNumber": "43278243803",
        "firstName": "Iago",
        "lastName": "Senefonte",
        "status": "REGISTERED",
        "registeredAt": "2024-07-19T13:57:35.807Z",
        "registrationUrl": null
    }
}
Modified at 2024-07-24 14:00:53
Previous
Get Transaction Page Details
Next
Settle Amount
Built with